Subject: RFC 4583 issues

From: Alfred Hönes <[email-masked]>
Date: Sat, 30 Dec 2006 11:34:34 +0100 (MEZ)

Hello,
after studying the recently published RFC 4583 (SDP for BFCP)
authored by you, I would like to point out a textual issue
I found in that memo, recurring in two 'flavors'.

It's always the abuse of language, talking about an SDP attribute
as being used "in" an SDP 'm' line, where in fact the attribute is
just a media-level attribute, occurring as a standalone line in an
SDP media description, i.e. the SDP part introduced by the particular
'm' line.

This is, at best, a bit confusing.

(1)  [clarification]

Section 4 of RFC 4583, near the top of page 4, says:

   If an 'm' line in an offer contains a 'floorctrl' attribute, the
   answerer MUST include one in the corresponding 'm' line in the
   answer.  [...]

It should better say:

   If a SDP media description in an offer contains a 'floorctrl'
   attribute, the answerer accepting that media MUST include one in the
   corresponding media description of the answer.  [...]

(2)  [clarification]

Section 6 of RFC 4583, on mid-page 5, says:

   The 'floorid' attribute is used in BFCP 'm' lines.  [...]

It should better say:

   The 'floorid' attribute is used in the SDP media description for BFCP
   media.  [...]

Please comment.

To address these issues, preferrably you should submit an Author's
Errata Note to the RFC Editor's RFC Errata web pages, making freely
use of the material supplied above.  But if you like, I can formally
submit an Errata Note on my own, with your consent.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+